Hide navigation sidebar
Hide table of contents sidebar
Back to top
Toggle table of contents sidebar

# Unicode input

You can input Unicode characters by name, hex code, recently used and even an editable favorites list. Press `ctrl+shift+u` to start the unicode input kitten, shown below.

A screenshot of the unicode input kitten

In Code mode, you enter a Unicode character by typing in the hex code for the character and pressing `Enter`. For example, type in `2716` and press `Enter` to get `✖`. You can also choose a character from the list of recently used characters by typing a leading period `.` and then the two character index and pressing `Enter`. The `Up` and `Down` arrow keys can be used to choose the previous and next Unicode symbol respectively.

In Name mode you instead type words from the character name and use the `ArrowKeys` / `Tab` to select the character from the displayed matches. You can also type a space followed by a period and the index for the match if you don’t like to use arrow keys.

You can switch between modes using either the keys `F1` … `F4` or ``Ctrl`+`1`` … ``Ctrl`+`4`` or by pressing ``Ctrl`+`[`` and ``Ctrl`+`]`` or by pressing ``Ctrl`+`Tab`` and ``Ctrl`+`Shift`+`Tab``.

## Source code for unicode_input

The source code for this kitten is available on GitHub.

## Command Line Interface

    kitty +kitten unicode_input [options]

Input a Unicode character

### Options

--emoji-variation <EMOJI_VARIATION>

  Whether to use the textual or the graphical form for emoji. By default the default form specified in the Unicode standard for the symbol is used. Default: `none` Choices: `graphic`, `none`, `text`